org.apache.storm.hbase.bolt.mapper

## Class HBaseProjectionCriteria

- java.lang.Object
- - org.apache.storm.hbase.bolt.mapper.HBaseProjectionCriteria

- All Implemented Interfaces:
    Serializable

      public class HBaseProjectionCriteria
      extends Object
      implements Serializable

  Allows the user to specify the projection criteria. If only columnFamily is specified all columns from that family will be returned. If a column is specified only that column from that family will be returned.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HBaseProjectionCriteria.ColumnMetaData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HBaseProjectionCriteria()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HBaseProjectionCriteria` | `addColumn(HBaseProjectionCriteria.ColumnMetaData column)` Only this column from the the columnFamily will be included as result of HBase lookup.
    `HBaseProjectionCriteria` | `addColumnFamily(byte[] columnFamily)` all columns from this family will be included as result of HBase lookup.
    `HBaseProjectionCriteria` | `addColumnFamily(String columnFamily)` all columns from this family will be included as result of HBase lookup.
    `List<byte[]>` | `getColumnFamilies()`
    `List<HBaseProjectionCriteria.ColumnMetaData>` | `getColumns()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HBaseProjectionCriteria

          public HBaseProjectionCriteria()

  - ### Method Detail

    - #### addColumnFamily

          public HBaseProjectionCriteria addColumnFamily(String columnFamily)

      all columns from this family will be included as result of HBase lookup.

    - #### addColumnFamily

          public HBaseProjectionCriteria addColumnFamily(byte[] columnFamily)

      all columns from this family will be included as result of HBase lookup.

    - #### addColumn

          public HBaseProjectionCriteria addColumn(HBaseProjectionCriteria.ColumnMetaData column)

      Only this column from the the columnFamily will be included as result of HBase lookup.

    - #### getColumns

          public List<HBaseProjectionCriteria.ColumnMetaData> getColumns()

    - #### getColumnFamilies

          public List<byte[]> getColumnFamilies()

Copyright © 2021 The Apache Software Foundation. All rights reserved.